using System;
using System.Runtime.InteropServices;

namespace SharpQuake
{
	[StructLayout(LayoutKind.Sequential, Pack = 1)]
	internal struct dstatement_t
	{
		public void SwapBytes()
		{
			this.op = (ushort)common.LittleShort((short)this.op);
			this.a = common.LittleShort(this.a);
			this.b = common.LittleShort(this.b);
			this.c = common.LittleShort(this.c);
		}

		public ushort op;

		public short a;

		public short b;

		public short c;

		public static int SizeInBytes = Marshal.SizeOf(typeof(dstatement_t));
	}
}
